package org.jcg.zheng.demo;

import java.util.Locale;

import javax.money.Monetary;
import javax.money.MonetaryAmount;
import javax.money.format.AmountFormatQueryBuilder;
import javax.money.format.MonetaryAmountFormat;
import javax.money.format.MonetaryFormats;

import org.javamoney.moneta.format.CurrencyStyle;

public class MoneyDemo {

	public static void main(String[] args) {
		MonetaryAmount oneDollar = Monetary.getDefaultAmountFactory().setCurrency("USD").setNumber(1).create();
		MonetaryAmount twoDollar = Monetary.getDefaultAmountFactory().setCurrency("USD").setNumber(2).create();

		System.out.println("Curreny=" + oneDollar.getCurrency().toString());

		MonetaryAmount threeDollar = oneDollar.add(twoDollar);

		System.out.println(oneDollar.toString());
		System.out.println(twoDollar.toString());
		System.out.println(threeDollar.toString());
		
		MonetaryAmountFormat customFormat = MonetaryFormats.getAmountFormat(AmountFormatQueryBuilder.of(Locale.US)
				.set(CurrencyStyle.NAME).set("pattern", "00.00 US Dollar").build());

		System.out.println(customFormat.format(oneDollar));
		System.out.println(customFormat.format(twoDollar));
		System.out.println(customFormat.format(threeDollar));

	}

}
